#include "XmlAttribute.h"

XmlAttribute::XmlAttribute(const std::string& name)
    : mName(name),
      mValue()
{

}

XmlAttributePtr XmlAttribute::Create(const std::string& name)
{
    return std::make_unique<XmlAttribute>(name);
}

const std::string& XmlAttribute::getName() const
{
    return mName;
}

const std::string& XmlAttribute::getValue() const
{
    return mValue;
}

void XmlAttribute::setValue(const std::string& value)
{
    mValue = value;
}
